license_plate_api_spain
====================

Un paquete Dart para buscar detalles tecnicos sobre vehiculos matriculados en spain por su placa de matricula

`license_plate_api_spain` proporciona una manera simple de encontrar detalles del vehiculo desde una placa (numero de registro)
de un auto matriculado en spain

Esto requiere un nombre de usuario y contrasena, que esta disponible de forma gratuita en http://www.matriculaapi.com/

## English

A Dart package for looking up technical details on vehicles registered in spain by their license plate

`license_plate_api_spain` provides a simple way to find vehicle details from a license plate (registration number)
of a car registered in spain

This requires a username and password, which is available for free from http://www.matriculaapi.com/

  
## Usage

A simple usage example:

```dart
import 'package:license_plate_api_spain/license_plate_api_spain.dart' as RegCheck;

void main(List<String> arguments) async {
  // Usage:
  // dart bin/main.dart *MATRICULA* *USERNAME* *PASSWORD*
  // *USERNAME* and *PASSWORD* are available from http://www.matriculaapi.com/
  var vehicle = await RegCheck.LicensePlate(arguments[0],arguments[1],arguments[2]);
  print('Description: ${vehicle['Description']}');
 
}
```

which produces the following:

```shell script
Description: OPEL MOKKA SE

```

## Features and bugs

Please file feature requests and bugs via the website http://www.matriculaapi.com/

